dag_component_get_indexed_subcomponent(3)

NAME
dag_component_get_indexed_subcomponent - get a subcomponent by index

SYNOPSIS
#include "dag_component.h "

dag_component_t
dag_component_get_indexed_subcomponent(dag_component_t component, int index);

DESCRIPTION
dag_component_get_indexed_subcomponent returns a subcomponent by index.

Before using this routine, dag_component_get_subcomponent_count(3) should be called to establish the range of valid values for the index argument.

RETURN VALUE
A reference to the subcomponent of the given component having the given index that can be used in other Configuration and Status API routines.

ERRORS
If the specified component is invalid (e.g. index is out of range for the specified component) then NULL will be returned. Applications should test for this value before assuming the return value is valid.

SEE ALSO
dagconfigapi(3), dag_component_get_subcomponent_count(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.